------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
function ClosingWindow()
	function FarmerWindow:Closing(sender, args)
		settings.isWindowVisible = false;
		SaveSettings();
	end
end

------------------------------------------------------------------------------------------
-- mouseHover handling
------------------------------------------------------------------------------------------
function SetTheMouseEnter()
	centerLabelB.MouseEnter = function()
		BagButtonLabel:SetVisible(true);
	end

	centerLabelB.MouseLeave = function()
		BagButtonLabel:SetVisible(false);
	end

	centerLabelB2.MouseEnter = function()
		BagButtonLabel2:SetVisible(true);
	end

	centerLabelB2.MouseLeave = function()
		BagButtonLabel2:SetVisible(false);
	end

	centerLabelB3.MouseEnter = function()
		BagButtonLabel3:SetVisible(true);
	end

	centerLabelB3.MouseLeave = function()
		BagButtonLabel3:SetVisible(false);
	end
end

------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
function SetTheShortCut()

	if(settings.shortcutData_1 ~= "") then
		centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_1 ) );
	end
	if(settings.shortcutData_2 ~= "") then
		centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_2 ) );
	end
	if(settings.shortcutData_3 ~= "") then
		centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_3 ) );
	end
	if(settings.shortcutData_4 ~= "") then
		centerQS4:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_4 ) );
	end
	if(settings.shortcutData_5 ~= "") then
		centerQS5:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_5 ) );
	end
	if(settings.shortcutData_6 ~= "") then
		centerQS6:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_6 ) );
	end
	if(settings.shortcutData_7 ~= "") then
		centerQS7:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_7 ) );
	end
	if(settings.shortcutData_8 ~= "") then
		centerQS8:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_8 ) );
	end
	if(settings.shortcutData_9 ~= "") then
		centerQS9:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_9 ) );
	end
	if(settings.shortcutData_10 ~= "") then
		centerQS10:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_10 ) );
	end
end

------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
function SetTheDragAndDrop()
	centerQS1.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS1:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_1 = tmp;

		if(centerQS1:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS1:GetShortcut():GetItem():GetName();
			settings.itemName_1 =  tmpName;
		end

		SaveSettings();
	end

	centerQS2.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS2:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_2 = tmp;

		if(centerQS2:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS2:GetShortcut():GetItem():GetName();
			settings.itemName_2 =  tmpName;
		end
		SaveSettings();
	end

	centerQS3.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS3:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_3 = tmp;

		if(centerQS3:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS3:GetShortcut():GetItem():GetName();
			settings.itemName_3 =  tmpName;
		end
		SaveSettings();
	end

	centerQS4.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS4:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_4 = tmp;

		if(centerQS4:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS4:GetShortcut():GetItem():GetName();
			settings.itemName_4 =  tmpName;
		end
		
		SaveSettings();
	end

	centerQS5.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS5:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_5 = tmp;

		if(centerQS5:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS5:GetShortcut():GetItem():GetName();
			settings.itemName_5 =  tmpName;
		end
		SaveSettings();
	end

	centerQS6.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS6:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_6 = tmp;
		
		if(centerQS6:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS6:GetShortcut():GetItem():GetName();
			settings.itemName_6 =  tmpName;
		end
		SaveSettings();
	end
	
	centerQS7.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS7:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_7 = tmp;
		
		if(centerQS7:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS7:GetShortcut():GetItem():GetName();
			settings.itemName_7 =  tmpName;
		end
		SaveSettings();
	end
	
	centerQS8.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS8:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_8 = tmp;
		
		if(centerQS8:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS8:GetShortcut():GetItem():GetName();
			settings.itemName_8 =  tmpName;
		end
		SaveSettings();
	end
	
	centerQS9.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS9:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_9 = tmp;
		
		if(centerQS9:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS9:GetShortcut():GetItem():GetName();
			settings.itemName_9 =  tmpName;
		end
		SaveSettings();
	end
	
	centerQS10.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS10:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_10 = tmp;
		
		if(centerQS10:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS10:GetShortcut():GetItem():GetName();
			settings.itemName_10 =  tmpName;
		end
		SaveSettings();
	end
end

function returnBagValue(itemToSearch)
	local tq1 = 0;	
	local backpack = Turbine.Gameplay.LocalPlayer:GetInstance():GetBackpack();
	local bagSize = backpack:GetSize();
	for i=1, bagSize do
		if(backpack:GetItem(i) ~= nil) then
			if(backpack:GetItem(i):GetName() == itemToSearch ) then
				tq1 = tq1 + tostring(backpack:GetItem(i):GetQuantity());
			end
		end
	end
	return tq1;
end
function returnSharedStorageValue(itemToSearch)
	local tq2 = 0;	
	local sharedStorage = Turbine.Gameplay.LocalPlayer:GetInstance():GetSharedStorage();
	local sharedStorageSize = sharedStorage:GetCapacity();
	for i=1, sharedStorageSize do
			if(sharedStorage:GetItem(i) ~= nil) then
				if(sharedStorage:GetItem(i):GetName() == itemToSearch ) then
					tq2 = tq2 + tostring(sharedStorage:GetItem(i):GetQuantity());
				end
			end
		end
	return tq2;
end

function returnVaultValue(itemToSearch)
	local tq3 = 0;	
	local vault = Turbine.Gameplay.LocalPlayer:GetInstance():GetVault();
	local vaultSize = vault:GetCapacity();
	for i=1, vaultSize do
			if(vault:GetItem(i) ~= nil) then
				if(vault:GetItem(i):GetName() == itemToSearch ) then
					tq3 = tq3 + tostring(vault:GetItem(i):GetQuantity());
				end
			end
		end
	return tq3;
end

function UpdateWindow()
	centerQS1.Update = function(sender, args)

			if(settings.itemName_1 ~= "")then
				bagValue = returnBagValue(settings.itemName_1);
				
				if(bagValue == 0) then
					FarmerWindow.Message_1:SetText("0");
				else
					FarmerWindow.Message_1:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_1);
				if(sharedValue == 0) then
					FarmerWindow.Message_1b:SetText("0");
				else
					FarmerWindow.Message_1b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_1);
				if(vaultValue == 0) then
					FarmerWindow.Message_1c:SetText("0");
				else
					FarmerWindow.Message_1c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;

				if(total <= 0) then
					FarmerWindow.Message_1d:SetText("0");
				else
					FarmerWindow.Message_1d:SetText(total);
				end
			else
				FarmerWindow.Message_1:SetText("");
				FarmerWindow.Message_1b:SetText("");
				FarmerWindow.Message_1c:SetText("");
				FarmerWindow.Message_1d:SetText("");
			end
	end
	centerQS2.Update = function(sender, args)

			if(settings.itemName_2 ~= "")then
				bagValue = returnBagValue(settings.itemName_2);
				
				if(bagValue == 0) then
					FarmerWindow.Message_2:SetText("0");
				else
					FarmerWindow.Message_2:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_2);
				if(sharedValue == 0) then
					FarmerWindow.Message_2b:SetText("0");
				else
					FarmerWindow.Message_2b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_2);
				if(vaultValue == 0) then
					FarmerWindow.Message_2c:SetText("0");
				else
					FarmerWindow.Message_2c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;
				if(total <= 0) then
					FarmerWindow.Message_2d:SetText("0");
				else
					FarmerWindow.Message_2d:SetText(total);
				end
			else
				FarmerWindow.Message_2:SetText("");
				FarmerWindow.Message_2b:SetText("");
				FarmerWindow.Message_2c:SetText("");
				FarmerWindow.Message_2d:SetText("");
			end
	end
	centerQS3.Update = function(sender, args)

			if(settings.itemName_3 ~= "")then
				bagValue = returnBagValue(settings.itemName_3);
				
				if(bagValue == 0) then
					FarmerWindow.Message_3:SetText("0");
				else
					FarmerWindow.Message_3:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_3);
				if(sharedValue == 0) then
					FarmerWindow.Message_3b:SetText("0");
				else
					FarmerWindow.Message_3b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_3);
				if(vaultValue == 0) then
					FarmerWindow.Message_3c:SetText("0");
				else
					FarmerWindow.Message_3c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;
				if(total <= 0) then
					FarmerWindow.Message_3d:SetText("0");
				else
					FarmerWindow.Message_3d:SetText(total);
				end
			else
				FarmerWindow.Message_3:SetText("");
				FarmerWindow.Message_3b:SetText("");
				FarmerWindow.Message_3c:SetText("");
				FarmerWindow.Message_3d:SetText("");
			end
	end
	centerQS4.Update = function(sender, args)

			if(settings.itemName_4 ~= "")then
				bagValue = returnBagValue(settings.itemName_4);
				
				if(bagValue == 0) then
					FarmerWindow.Message_4:SetText("0");
				else
					FarmerWindow.Message_4:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_4);
				if(sharedValue == 0) then
					FarmerWindow.Message_4b:SetText("0");
				else
					FarmerWindow.Message_4b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_4);
				if(vaultValue == 0) then
					FarmerWindow.Message_4c:SetText("0");
				else
					FarmerWindow.Message_4c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;
				if(total <= 0) then
					FarmerWindow.Message_4d:SetText("0");
				else
					FarmerWindow.Message_4d:SetText(total);
				end
			else
				FarmerWindow.Message_4:SetText("");
				FarmerWindow.Message_4b:SetText("");
				FarmerWindow.Message_4c:SetText("");
				FarmerWindow.Message_4d:SetText("");
			end
	end
	centerQS5.Update = function(sender, args)

			if(settings.itemName_5 ~= "")then
				bagValue = returnBagValue(settings.itemName_5);
				
				if(bagValue == 0) then
					FarmerWindow.Message_5:SetText("0");
				else
					FarmerWindow.Message_5:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_5);
				if(sharedValue == 0) then
					FarmerWindow.Message_5b:SetText("0");
				else
					FarmerWindow.Message_5b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_5);
				if(vaultValue == 0) then
					FarmerWindow.Message_5c:SetText("0");
				else
					FarmerWindow.Message_5c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;
				if(total <= 0) then
					FarmerWindow.Message_5d:SetText("0");
				else
					FarmerWindow.Message_5d:SetText(total);
				end
			else
				FarmerWindow.Message_5:SetText("");
				FarmerWindow.Message_5b:SetText("");
				FarmerWindow.Message_5c:SetText("");
				FarmerWindow.Message_5d:SetText("");
			end
	end
	centerQS6.Update = function(sender, args)

			if(settings.itemName_6 ~= "")then
				bagValue = returnBagValue(settings.itemName_6);
				
				if(bagValue == 0) then
					FarmerWindow.Message_6:SetText("0");
				else
					FarmerWindow.Message_6:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_6);
				if(sharedValue == 0) then
					FarmerWindow.Message_6b:SetText("0");
				else
					FarmerWindow.Message_6b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_6);
				if(vaultValue == 0) then
					FarmerWindow.Message_6c:SetText("0");
				else
					FarmerWindow.Message_6c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;
				if(total <= 0) then
					FarmerWindow.Message_6d:SetText("0");
				else
					FarmerWindow.Message_6d:SetText(total);
				end
			else
				FarmerWindow.Message_6:SetText("");
				FarmerWindow.Message_6b:SetText("");
				FarmerWindow.Message_6c:SetText("");
				FarmerWindow.Message_6d:SetText("");
			end
	end
	centerQS7.Update = function(sender, args)

			if(settings.itemName_7 ~= "")then
				bagValue = returnBagValue(settings.itemName_7);
				
				if(bagValue == 0) then
					FarmerWindow.Message_7:SetText("0");
				else
					FarmerWindow.Message_7:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_7);
				if(sharedValue == 0) then
					FarmerWindow.Message_7b:SetText("0");
				else
					FarmerWindow.Message_7b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_7);
				if(vaultValue == 0) then
					FarmerWindow.Message_7c:SetText("0");
				else
					FarmerWindow.Message_7c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;
				if(total <= 0) then
					FarmerWindow.Message_7d:SetText("0");
				else
					FarmerWindow.Message_7d:SetText(total);
				end
			else
				FarmerWindow.Message_7:SetText("");
				FarmerWindow.Message_7b:SetText("");
				FarmerWindow.Message_7c:SetText("");
				FarmerWindow.Message_7d:SetText("");
			end
	end
	centerQS8.Update = function(sender, args)

			if(settings.itemName_8 ~= "")then
				bagValue = returnBagValue(settings.itemName_8);
				
				if(bagValue == 0) then
					FarmerWindow.Message_8:SetText("0");
				else
					FarmerWindow.Message_8:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_8);
				if(sharedValue == 0) then
					FarmerWindow.Message_8b:SetText("0");
				else
					FarmerWindow.Message_8b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_8);
				if(vaultValue == 0) then
					FarmerWindow.Message_8c:SetText("0");
				else
					FarmerWindow.Message_8c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;
				if(total <= 0) then
					FarmerWindow.Message_8d:SetText("0");
				else
					FarmerWindow.Message_8d:SetText(total);
				end
			else
				FarmerWindow.Message_8:SetText("");
				FarmerWindow.Message_8b:SetText("");
				FarmerWindow.Message_8c:SetText("");
				FarmerWindow.Message_8d:SetText("");
			end
	end
	centerQS9.Update = function(sender, args)

			if(settings.itemName_9 ~= "")then
				bagValue = returnBagValue(settings.itemName_9);
				
				if(bagValue == 0) then
					FarmerWindow.Message_9:SetText("0");
				else
					FarmerWindow.Message_9:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_9);
				if(sharedValue == 0) then
					FarmerWindow.Message_9b:SetText("0");
				else
					FarmerWindow.Message_9b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_9);
				if(vaultValue == 0) then
					FarmerWindow.Message_9c:SetText("0");
				else
					FarmerWindow.Message_9c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;
				if(total <= 0) then
					FarmerWindow.Message_9d:SetText("0");
				else
					FarmerWindow.Message_9d:SetText(total);
				end
			else
				FarmerWindow.Message_9:SetText("");
				FarmerWindow.Message_9b:SetText("");
				FarmerWindow.Message_9c:SetText("");
				FarmerWindow.Message_9d:SetText("");
			end
	end
	centerQS10.Update = function(sender, args)

			if(settings.itemName_10 ~= "")then
				bagValue = returnBagValue(settings.itemName_10);
				
				if(bagValue == 0) then
					FarmerWindow.Message_10:SetText("0");
				else
					FarmerWindow.Message_10:SetText(bagValue);
				end

				sharedValue = returnSharedStorageValue(settings.itemName_10);
				if(sharedValue == 0) then
					FarmerWindow.Message_10b:SetText("0");
				else
					FarmerWindow.Message_10b:SetText(sharedValue);
				end

				vaultValue = returnVaultValue(settings.itemName_10);
				if(vaultValue == 0) then
					FarmerWindow.Message_10c:SetText("0");
				else
					FarmerWindow.Message_10c:SetText(vaultValue);
				end


				local total = bagValue + sharedValue + vaultValue;
				if(total <= 0) then
					FarmerWindow.Message_10d:SetText("0");
				else
					FarmerWindow.Message_10d:SetText(total);
				end
			else
				FarmerWindow.Message_10:SetText("");
				FarmerWindow.Message_10b:SetText("");
				FarmerWindow.Message_10c:SetText("");
				FarmerWindow.Message_10d:SetText("");
			end
	end
end

function SetMouseCLick()
	function FarmerButton:MouseClick()
		settings.shortcutData_1 = tostring("");
		settings.shortcutData_2 = tostring(""); 
		settings.shortcutData_3 = tostring(""); 
		settings.shortcutData_4 = tostring(""); 
		settings.shortcutData_5 = tostring(""); 
		settings.shortcutData_6 = tostring(""); 
		settings.shortcutData_7 = tostring(""); 
		settings.shortcutData_8 = tostring(""); 
		settings.shortcutData_9 = tostring(""); 
		settings.shortcutData_10 = tostring(""); 
		settings.itemName_1 = tostring("");
		settings.itemName_2 = tostring("");
		settings.itemName_3 = tostring("");
		settings.itemName_4 = tostring("");
		settings.itemName_5 = tostring("");
		settings.itemName_6 = tostring("");
		settings.itemName_7 = tostring("");
		settings.itemName_8 = tostring("");
		settings.itemName_9 = tostring("");
		settings.itemName_10 = tostring("");
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut()); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS5:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS6:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS7:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS8:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS9:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS10:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_1:SetText("");
		FarmerWindow.Message_1b:SetText("");
		FarmerWindow.Message_1c:SetText("");
		FarmerWindow.Message_1d:SetText("");
		FarmerWindow.Message_2:SetText("");
		FarmerWindow.Message_2b:SetText("");
		FarmerWindow.Message_2c:SetText("");
		FarmerWindow.Message_2d:SetText("");
		FarmerWindow.Message_3:SetText("");
		FarmerWindow.Message_3b:SetText("");
		FarmerWindow.Message_3c:SetText("");
		FarmerWindow.Message_3d:SetText("");
		FarmerWindow.Message_4:SetText("");
		FarmerWindow.Message_4b:SetText("");
		FarmerWindow.Message_4c:SetText("");
		FarmerWindow.Message_4d:SetText("");
		FarmerWindow.Message_5:SetText("");
		FarmerWindow.Message_5b:SetText("");
		FarmerWindow.Message_5c:SetText("");
		FarmerWindow.Message_5d:SetText("");
		FarmerWindow.Message_6:SetText("");
		FarmerWindow.Message_6b:SetText("");
		FarmerWindow.Message_6c:SetText("");
		FarmerWindow.Message_6d:SetText("");
		FarmerWindow.Message_7:SetText("");
		FarmerWindow.Message_7b:SetText("");
		FarmerWindow.Message_7c:SetText("");
		FarmerWindow.Message_7d:SetText("");
		FarmerWindow.Message_8:SetText("");
		FarmerWindow.Message_8b:SetText("");
		FarmerWindow.Message_8c:SetText("");
		FarmerWindow.Message_8d:SetText("");
		FarmerWindow.Message_9:SetText("");
		FarmerWindow.Message_9b:SetText("");
		FarmerWindow.Message_9c:SetText("");
		FarmerWindow.Message_9d:SetText("");
		FarmerWindow.Message_10:SetText("");
		FarmerWindow.Message_10b:SetText("");
		FarmerWindow.Message_10c:SetText("");
		FarmerWindow.Message_10d:SetText("");
		SaveSettings();
	end
end

------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------
function DeleteOnMouseWheel()
	centerQS1.MouseWheel = function(sender, args)
		settings.shortcutData_1 = tostring(""); 
		settings.itemName_1 = tostring("");
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_1:SetText("");
		FarmerWindow.Message_1b:SetText("");
		FarmerWindow.Message_1c:SetText("");
		FarmerWindow.Message_1d:SetText("");
		SaveSettings();
	end
	centerQS2.MouseWheel = function(sender, args)
		settings.shortcutData_2 = tostring(""); 
		settings.itemName_2 = tostring("");
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_2:SetText("");
		FarmerWindow.Message_2b:SetText("");
		FarmerWindow.Message_2c:SetText("");
		FarmerWindow.Message_2d:SetText("");
		SaveSettings();
	end
	centerQS3.MouseWheel = function(sender, args)
		settings.shortcutData_3 = tostring(""); 
		settings.itemName_3 = tostring("");
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_3:SetText("");
		FarmerWindow.Message_3b:SetText("");
		FarmerWindow.Message_3c:SetText("");
		FarmerWindow.Message_3d:SetText("");
		SaveSettings();
	end
	centerQS4.MouseWheel = function(sender, args)
		settings.shortcutData_4 = tostring(""); 
		settings.itemName_4 = tostring("");
		centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_4:SetText("");
		FarmerWindow.Message_4b:SetText("");
		FarmerWindow.Message_4c:SetText("");
		FarmerWindow.Message_4d:SetText("");
		SaveSettings();
	end
	centerQS5.MouseWheel = function(sender, args)
		settings.shortcutData_5 = tostring(""); 
		settings.itemName_5 = tostring("");
		centerQS5:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_5:SetText("");
		FarmerWindow.Message_5b:SetText("");
		FarmerWindow.Message_5c:SetText("");
		FarmerWindow.Message_5d:SetText("");
		SaveSettings();
	end
	centerQS6.MouseWheel = function(sender, args)
		settings.shortcutData_6 = tostring(""); 
		settings.itemName_6 = tostring("");
		centerQS6:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_6:SetText("");
		FarmerWindow.Message_6b:SetText("");
		FarmerWindow.Message_6c:SetText("");
		FarmerWindow.Message_6d:SetText("");
		SaveSettings();
	end
	centerQS7.MouseWheel = function(sender, args)
		settings.shortcutData_7 = tostring(""); 
		settings.itemName_7 = tostring("");
		centerQS7:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_7:SetText("");
		FarmerWindow.Message_7b:SetText("");
		FarmerWindow.Message_7c:SetText("");
		FarmerWindow.Message_7d:SetText("");
		SaveSettings();
	end
	centerQS8.MouseWheel = function(sender, args)
		settings.shortcutData_8 = tostring(""); 
		settings.itemName_8 = tostring("");
		centerQS8:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_8:SetText("");
		FarmerWindow.Message_8b:SetText("");
		FarmerWindow.Message_8c:SetText("");
		FarmerWindow.Message_8d:SetText("");
		SaveSettings();
	end
	centerQS9.MouseWheel = function(sender, args)
		settings.shortcutData_9 = tostring(""); 
		settings.itemName_9 = tostring("");
		centerQS9:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_9:SetText("");
		FarmerWindow.Message_9b:SetText("");
		FarmerWindow.Message_9c:SetText("");
		FarmerWindow.Message_9d:SetText("");
		SaveSettings();
	end
	centerQS10.MouseWheel = function(sender, args)
		settings.shortcutData_10 = tostring(""); 
		settings.itemName_10 = tostring("");
		centerQS10:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_10:SetText("");
		FarmerWindow.Message_10b:SetText("");
		FarmerWindow.Message_10c:SetText("");
		FarmerWindow.Message_10d:SetText("");
		SaveSettings();
	end
end